Bug 242229 - cad/openvsp: fails to build with undefined reference to __atomic_load
Summary: cad/openvsp: fails to build with undefined reference to __atomic_load
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on: 230888
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-25 18:49 UTC by Fernando Apesteguía
Modified: 2020-09-19 13:22 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2019-11-25 18:49:05 UTC
cad/openvsp fails to build on 12.1 and 13-CURRENT with error: undefined reference to __atomic_load

Unfortunately this port stopped building with gcc some time ago.
Comment 1 Li-Wen Hsu freebsd_committer 2020-06-17 00:29:36 UTC
Reporter is the maintainer and committer.
Comment 2 Rene Ladan freebsd_committer 2020-09-18 20:09:54 UTC
Although this port expired on 2020-08-26 it should now be buildable again on 11, 12, 12.2 and 13 because PR 230888 got fixed recently.
Comment 3 commit-hook freebsd_committer 2020-09-19 08:47:26 UTC
A commit references this bug:

Author: rene
Date: Sat Sep 19 08:47:02 UTC 2020
New revision: 548947
URL: https://svnweb.freebsd.org/changeset/ports/548947

Log:
  cad/openvsp: unexpire by allowing it to build on FreeBSD versions with PR 230888 fixed.

  PR:		242229
  Submitted by:	fernape@ (maintainer)
  Approved by:	build fix blanket
  MFH:		2020Q3

Changes:
  head/cad/openvsp/Makefile
Comment 4 commit-hook freebsd_committer 2020-09-19 13:22:08 UTC
A commit references this bug:

Author: rene
Date: Sat Sep 19 13:21:45 UTC 2020
New revision: 548984
URL: https://svnweb.freebsd.org/changeset/ports/548984

Log:
  MFH: r548947

  cad/openvsp: unexpire by allowing it to build on FreeBSD versions with PR 230888 fixed.

  PR:		242229
  Submitted by:	fernape@ (maintainer)
  Approved by:	build fix blanket

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/cad/openvsp/Makefile
Comment 5 Rene Ladan freebsd_committer 2020-09-19 13:22:33 UTC
I re-enabled this port on supported FreeBSD versions and MFH'd it to 2020Q3.